import { MicroEditorBase } from "../../../Views/editor/MicroEditorBase.js";
export declare class TextAreaEditor extends MicroEditorBase {
    private get allowsTags();
    private get inputNode();
    private get maskInputNode();
    template(): string | Array<string> | JQuery;
    focus(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected syncScrollPositions(): void;
}
